<?php
class MyClassLoader implements IClassLoader
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * クラスローダ名
	 */
	public function getClassLoaderName()
	{
		return "Smarty Class Loader";
	}

	/*
	 * クラスローダを初期化
	 */
	public function init( Config $config )
	{
	}

	/*
	 * クラスをロード
	 */
	public static function loadClass( $class_name )
	{
		$class_path = array(

			// module classes

				"ViewModule"		=> "modules/ViewModule.class.php",

			// task classes

				"MenuTask"			=> "tasks/MenuTask.class.php",

			// task handler classes

				"IndexTaskHandler"	=> "task_handlers/IndexTaskHandler.class.php",

			);

		// クラス名からクラスパスを取得
		$classPath = $class_path[ $class_name ];

		// ロードされなかった
		if ( !$classPath ){
			return;
		}

		// ソース読み込み
		require_once( $classPath );
	}
}
?>